Topics

[espeak-ng:master] new issue: Determining which version of espeak-ng to use for NVDA is difficult #github


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Issue Created by feerrenrut:
#792 Determining which version of espeak-ng to use for NVDA is difficult

Since releases are rare, and there is no "stable" branch, it is difficult to determine which commit to choose when updating the version of espeak-ng to use in NVDA. Currently we just use the latest master commit in a fairly ad-hoc way, if users complain about bugs we either raise and see if those particular issues are fixed or consider reverting.

Since the alpha versions of NVDA get a fair bit of testing, aligning releases of espeak-ng and NVDA might be mutually beneficial? Perhaps NVDA updates to the latest master of espeak-ng at the beginning of a release cycle and espeak-ng creates a stable branch from that commit to receive required fixes before eventual release, NVDA then tracks this branch?

I'm open to ideas to improve this.